import { httpPost } from '@/utils/http'
export interface TaskInfo {
  id?: string // 任务id <int64>
  name?: string // 任务名称
  instruction?: string // 任务说明
  taskIcon?: string // 任务图标
  taskLink?: string // 任务链接
  categoryCode?: string // 任务分类编码
  goldCoin?: number // 金币数量
  sortNum?: number // 排序
  userTaskStatus?: number // 用户任务状态
}
// 获取任务列表
export const getTaskInfoList = (categoryCode: string) => {
  return httpPost<TaskInfo[]>('/app/task/getTaskInfoList', { categoryCode })
}

// 获取任务列表
export const handleTask = (taskId: string) => {
  return httpPost<TaskInfo[]>('/app/task/handleTask', { taskId })
}
